Summary: 	LZMA utils
Name: 		xz
Version: 	4.999.9beta
Release: 	1
License: 	GPLv2+
Group:		System
URL:            http://tukaani.org/xz/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:	liblzma

%description
LZMA provides very high compression ratio and fast decompression. The
core of the LZMA utils is Igor Pavlov's LZMA SDK containing the actual
LZMA encoder/decoder. LZMA utils add a few scripts which provide
gzip-like command line interface and a couple of other LZMA related
tools. 

%package 	devel
Summary:	Devel libraries & headers for liblzmadec
Group:		Development
Provides:	liblzma-devel

%description   	devel
Devel libraries & headers for liblzmadec.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-nls
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}
%{_mandir}
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-,root,root,-)
%{_includedir}
%{_libdir}/*.a
%{_libdir}/pkgconfig
